# $Revision: 1.7 $, $Date: 2012/01/08 22:54:05 $
%include	/usr/lib/rpm/macros.perl
Summary:	Downloads Certificate Revocation Lists
Name:		fetch-crl
Version:	3.0.8
Release:	1
License:	ASL 2.0
Group:		Applications/System
URL:		http://www.nikhef.nl/grid/gridwiki/index.php/FetchCRL3
Source0:	http://dist.eugridpma.info/distribution/util/fetch-crl3/%{name}-%{version}.tar.gz
# Source0-md5:	0c255931d05d46ed444d76438df29dd5
Source1:	%{name}.crontab
BuildRequires:	rpm-perlprov >= 4.1-13
Requires:	crondaemon
Requires:	openssl
Obsoletes:	fetch-crl3
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This tool and associated cron entry ensure that Certificate Revocation
Lists (CRLs) are periodically retrieved from the web sites of the
respective Certification Authorities. It assumes that the installed CA
files follow the hash.crl_url convention.

%prep
%setup -q

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir}/%{name}.d,/etc/{cron.d,rc.d/init.d}}
%{__make} install \
	PREFIX=$RPM_BUILD_ROOT%{_usr} \
	ETC=$RPM_BUILD_ROOT%{_sysconfdir} \
	CACHE=$RPM_BUILD_ROOT%{_var}/cache

cp -p %{SOURCE1} $RPM_BUILD_ROOT/etc/cron.d/%{name}

# Remove some files that have been duplicated as docs.
%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES NOTICE README fetch-crl.cnf.example
%dir %{_sysconfdir}/%{name}.d
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}.conf
%config(noreplace) %verify(not md5 mtime size) /etc/cron.d/%{name}
%attr(755,root,root) %{_sbindir}/%{name}
%{_mandir}/man8/%{name}.8*
%dir %{_var}/cache/%{name}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: fetch-crl.spec,v $
Revision 1.7  2012/01/08 22:54:05  glen
- use plain crontab, if want to disable cron, just disable the cron

Revision 1.6  2012/01/08 22:49:30  glen
- rc-script deps

Revision 1.5  2012/01/08 17:01:43  glen
- up to 3.0.8

Revision 1.4  2011/06/13 08:04:59  glen
- up to 3.0.7, previous fixes applied

Revision 1.3  2011/06/12 19:24:51  glen
- use \001 instead ^A to find autodeps

Revision 1.2  2011/06/11 08:36:23  glen
- avoid modifying element in hash

Revision 1.1  2011/06/10 20:38:53  glen
- initial, based on fc spec (the one in sources as well)
